<?php
include_once ('_admin/date_to_french.php');
$serveur = $_SERVER['HTTP_HOST'];
echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<title>GDid&eacute;es-CMS version 4.x-Mysqli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
echo'<link rel="stylesheet" type="text/css" media="all" href="_include/styles/install.css"/>';
echo'<link rel="stylesheet" type="text/css" media="all" href="_include/styles/admin.css"/>';
if (version_compare(PHP_VERSION, '5.2.0', '<')) {
die('<p style="text-align:center; font-size:0.9em;">Votre hôte doit utiliser <strong>PHP 5.2.0</strong> ou supérieur pour exécuter cette version de CMSGDidees !</p>');
} else {
echo '
<h1 id="logo"><img alt="GDidees" src="_include/images/logo-cms.png" /></h1>
<div id="login">
<div id="datelogin">Nous sommes le '.mb_convert_encoding(dateToFrench("now", "l j F Y - H:i"), 'UTF-8') .'</div>
<div id="contentInstall">';
echo '<br/><p><strong>1. Création du fichier de configuration</strong></p>
<p>Bienvenue dans le CMS GDidées. Avant de commencer, quelques informations sont nécessaires. Pour une installation en local, il faut installer un serveur web tel que <a href="http://www.wampserver.com/download.php"><strong>wamp</strong></a>, <a href="http://www.uwamp.com/file/UwAmp.exe"><strong>uWamp</strong></a>, etc... Pour une installation en ligne, il faut vérifier que le <strong>chmod</strong> du dossier <strong>config</strong> soit en <strong>0777</strong>.</p>
<p>Le CMS GDidées <strong>n\'est plus compatible</strong> avec l\'hébergeur <strong>Free</strong>. Si toutefois vous devez l\'y installer, il vous faudra choisir une version <a class="pcolor" href="http://gdidees.eu/userfiles/logiciels/cmsgdidees4.0.0.zip"><strong>4.x.x-mysql</strong></a>. Télécharger <a class="pcolor" href="http://gdidees.eu/userfiles/logiciels/phpmyadminfree.zip"><strong>phpmyadmin free</strong></a> et copier le à la racine du site, ainsi que la création d\'un dossier <strong>sessions</strong>.
<p>Si pour une raison quelconque la création automatique du fichier ne fonctionnait pas, ouvrir simplement le fichier <strong>_install/config-sample.php</strong> dans un éditeur de texte,<br/> et saisir vos informations. Puis l\'enregistrer sous le nouveau nom <strong>config.php</strong>. Ensuite copier le nouveau fichier dans le dossier <strong>config</strong>.</p>
<p>Si il vous manque des informations relatives à l\'installation de votre site en ligne, contactez votre hébergeur.</p>';
?>
<form method="post" enctype="multipart/form-data" action="<?php echo 'install.php?finstall=create_table'; ?>">
	<p>Entrez ci-dessous les détails de connexion à votre base de données. Si vous ne les connaissez pas avec certitude, contactez votre hébergeur. </p>
	<table class="form-table">
		<tr>
			<th scope="row"><label for="dbhost">Hôte de la base de données</label></th>
			<td><input name="dbhost" id="dbhost" type="text" size="25" required <?php if ($serveur=='localhost') { ?> value="localhost" <?php } else {?>value=""<?php } ?> /></td>
			<td>Saisir <strong>localhost</strong> pour une installation local, sinon vous devrez demander cette information à votre hébergeur.</td>
		</tr>
		<tr>
			<th scope="row"><label for="uname">Identifiant</label></th>
			<td><input name="uname" id="uname" type="text" size="25" required <?php if ($serveur=='localhost') { ?> value="root" <?php } else {?>value=""<?php } ?> /></td>
			<td>Votre identifiant MySQL<br/>(saisir <strong>root</strong> pour une installation locale).</td>
		</tr>
		<tr>
			<th scope="row"><label for="pwd">Mot de passe</label></th>
			<td><input name="pwd" id="pwd" type="password" size="25" value="" /></td>
			<td>Votre mot de passe MySQL<br/>(pour une installation locale avec <strong>uWamp</strong> saisir <strong>root</strong>.</td>
		</tr>
		<tr>
			<th scope="row"><label for="dbname">Nom de la base de données</label></th>
			<td><input name="dbname" id="dbname" type="text" size="25" maxlength='15' value="" pattern="^[a-zA-Z0-9]*$", required/></td>
			<td>Saisir un nom pour la base de données au format <strong>alpha-numérique</strong> avec <strong>15 caractères maximum</strong>.<br/>
			Celle-ci sera automatiquement créée si elle n'existe pas.</td>
		</tr>
		<tr>
			<th scope="row"><label for="prefix">Préfixe de table</label></th>
			<td><input name="prefix" type="text" maxlength="4" id="prefix" pattern="[A-Za-z_]{2,4}" value="" size="25" /></td>
			<td>Saisir un <strong>préfixe</strong> et un <strong>underscore</strong> minimum, pour la base de données (maximum 4 caractères).</td>
		</tr>
	</table>
	<p class="step"><input name="envoyer" type="submit" value="Valider" class="button" /></p>
</form>
<?php }
echo '</div>
<div id="footer">Copyright <a href="https://www.gdidees.eu">www.gdidees.eu</a></div>
</div>
</html>';
?>
